Send Location Template Message

Send a template message that includes a dynamic Location header. You must provide the latitude, longitude, name, and address.

Example Request Body

{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "PHONE_NUMBER",
  "type": "template",
  "template": {
    "name": "location_test",
    "language": {
      "code": "en"
    },
    "components": [
      {
        "type": "header",
        "parameters": [
          {
            "type": "location",
            "location": {
              "longitude": -122.425332,
              "latitude": 37.758056,
              "name": "Facebook HQ",
              "address": "1 Hacker Way, Menlo Park, CA 94025"
            }
          }
        ]
      },
      {
        "type": "body",
        "parameters": [
          {
            "type": "text",
            "text": "Harsh"
          }
        ]
      }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to v24.0
string
required

The ID of the phone number sending the message.

Body Params
string
required
Defaults to whatsapp
string
Defaults to individual
string
required

Recipient Phone Number

string
required
Defaults to template
template
object
required
Headers
string
required

Provide your Access Token. Format: YOUR_API_KEY

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json